Edgeブラウザ拡張機能で「ブラウザと通信ができません」エラーが発生

:grey_question: Question

Edgeブラウザ拡張機能で以下のエラーが発生します。

エラーメッセージ:

ブラウザと通信ができません
Cannot communicate with the browser

:bulb: Answer

「ブラウザと通信ができません」エラーは以下のいずれかの原因で発生することがあります。

原因1:Chromium版Edgeブラウザとレガシー版Edgeブラウザの両方がインストールされている。
解決策:いずれかをアンインストールすることで解決することがあります。

※Chromium版Edgeがインストールされていると、手動でレガシー版の起動ができても『ブラウザーを開く』を使う場合はChromium版が起動します。

原因2:レガシー版Edgeのみがインストールされていて、それに拡張機能がインストールされていない。

解決策:レガシー版Edgeに拡張機能をインストールします。

原因3:UiPath.UiAutomation.Activities v19.11.2 以下を使用している。

解決策:UiPath.UiAutomation.Activities v19.11.3 よりChromium版Edgeに対応しています。v19.11.3以降をお試しください。

参考:「v19.11.3リリースノート 新機能と改良点」